(***************************************************************************

     $RCSfile: BattClock.mod $
  Description: Interface to battclock.resource

   Created by: fjc (Frank Copeland)
    $Revision: 3.8 $
      $Author: fjc $
        $Date: 1995/06/04 23:13:14 $

  $VER: battclock.h 36.4 (1.5.90)
  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994-1995, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

<* STANDARD- *>

MODULE [2] BattClock;

IMPORT e := Exec;


(*
**
**      BattClock resource name strings.
**
*)

CONST

  battClockName * = "battclock.resource";


(**-- Resource Base variable --------------------------------------------*)

VAR

  base : e.APTR;


(**-- Resource Functions ------------------------------------------------*)

(*
**      $VER: battclock_protos.h 1.3 (3.5.90)
*)

PROCEDURE ResetBattClock* [base,-6] ();
PROCEDURE ReadBattClock* [base,-12] () : e.ULONG;
PROCEDURE WriteBattClock* [base,-18] ( time [0] : e.ULONG );

BEGIN base := NIL
END BattClock.
