(**************************************************************************

     $RCSfile: Input.mod $
  Description: Interface to input.device

   Created by: fjc (Frank Copeland)
    $Revision: 3.8 $
      $Author: fjc $
        $Date: 1995/06/04 23:13:14 $

  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994-1995, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

<* STANDARD- *>

MODULE [2] Input;

IMPORT e := Exec, s := Sets;


(*
**      $VER: input.h 36.0 (1.5.90)
**
**      input device command definitions
*)

CONST

  addHandler    * = e.nonstd+0;
  remHandler    * = e.nonstd+1;
  writeEvent    * = e.nonstd+2;
  setThresh     * = e.nonstd+3;
  setPeriod     * = e.nonstd+4;
  setMPort      * = e.nonstd+5;
  setMType      * = e.nonstd+6;
  setMTrig      * = e.nonstd+7;


VAR

  base * : e.DevicePtr;

(*
**      $VER: input_protos.h 36.2 (7.11.90)
*)

PROCEDURE PeekQualifier* [base,-42] () : s.SET16;

END Input.
